component-section(datetimestart='2021-12-07T19:45', minutesneeded='105', istopmost='true')
  div(slot='title') Eenvoudig sorteren
  p.bron
    a(href='#sec_9') Sorteren
    |
    | tot en met
    |
    a(href='#sec_9.4') 9.4
    | .
  component-section
    div(slot='title') Wat je leert
    component-intendedlearningoutcomes
      component-criterion(codes='["procedure-sort-insertion"]')
        | Je volgt de procedure voor Insertion sort.
      component-criterion(codes='["ontwikkeling-sort-insertion"]')
        | Je ontwikkelt Insertion sort.
      component-criterion(codes='["procedure-sort-selection"]')
        | Je volgt de procedure voor Selection sort.
      component-criterion(codes='["ontwikkeling-sort-selection"]')
        | Je ontwikkelt Selection sort.
  component-section(datetimestart='2021-12-07T19:45', minutesneeded='5')
    div(slot='title') Welkom
  component-section(datetimestart='2021-12-07T19:50', minutesneeded='15')
    div(slot='title') Insertion sort
    ul
      li
        p
          | Samenvattende uitleg over Insertion sort met
          |
          a(href='https://visualgo.net/en/sorting') VisuAlgo: Insertion sort
          |
          | en
          |
          a(href='https://opendsa-server.cs.vt.edu/ODSA/Books/Everything/html/InsertionSort.html') OpenDSA: Insertion Sort
          | .
  component-section(datetimestart='2021-12-07T20:05', minutesneeded='10')
    div(slot='title') Selection sort
    ul
      li
        p
          | Samenvattende uitleg over Selection sort met
          |
          a(href='https://visualgo.net/en/sorting') VisuAlgo: Selection sort
          |
          | en
          |
          a(href='https://opendsa-server.cs.vt.edu/ODSA/Books/Everything/html/SelectionSort.html') OpenDSA: Selection Sort
          | .
  component-section(datetimestart='2021-12-07T20:15', minutesneeded='30')
    div(slot='title') Zelf (samen)werken
  component-section(datetimestart='2021-12-07T20:45', minutesneeded='35')
    div(slot='title') Ontwikkel een sorteerder voor de 3D Basisvoorziening van Nederland
    component-exercise(together, extra)
      p
        | Het Kadaster heeft de
        |
        a(
          href='https://tweakers.net/nieuws/169816/het-kadaster-stelt-3d-bestand-van-nederland-beschikbaar-als-open-data.html') 3D Basisvoorziening van Nederland uitgebracht
        | .
        | Dat is een soort 3D kaart van allerlei
        |
        em tegels
        |
        | van Nederland.
        |
        a(href='https://brt.kadaster.nl/basisvoorziening-3d/') Download
        |
        | een willekeurige tegel via het kaartje.
        | Ontwikkel een sorteerder voor dit
        |
        a(href='https://www.cityjson.org/') CityJSON
        | -bestand in een programmeertaal naar keuze, en naar eigen inzicht.
  component-section(datetimestart='2021-12-07T21:20', minutesneeded='10')
    div(slot='title') Afronding
